Package org.apache.lucene.index

# Class PrefixCodedTerms.TermIterator

java.lang.Object
org.apache.lucene.index.PrefixCodedTerms.TermIterator

All Implemented Interfaces:
  `BytesRefIterator`

Enclosing class:
  `PrefixCodedTerms`

public static class PrefixCodedTerms.TermIterator extends Object
An iterator over the list of terms stored in a `PrefixCodedTerms`.

- ## Field Summary

  ### Fields inherited from interface org.apache.lucene.util.BytesRefIterator

  `EMPTY`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `long`
  `delGen()`
  Del gen of the current term.
  `String`
  `field()`
  Returns current field.
  `BytesRef`
  `next()`
  Increments the iteration to the next `BytesRef` in the iterator.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### next

    public BytesRef next()
    Description copied from interface: `BytesRefIterator`
    Increments the iteration to the next `BytesRef` in the iterator. Returns the resulting `BytesRef` or `null` if the end of the iterator is reached. The returned BytesRef may be re-used across calls to next. After this method returns null, do not call it again: the results are undefined.
    Returns:
      the next `BytesRef` in the iterator or `null` if the end of the iterator is reached.

  - ### field

    public String field()
    Returns current field. This method should not be called after iteration is done. Note that you may use == to detect a change in field.

  - ### delGen

    public long delGen()
    Del gen of the current term.